use std::env;

pub mod migrator;

#[rocket::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let args: Vec<String> = env::args().collect();
    let db_path: &str = match &args[..] {
        [_, path] => path.as_ref(),
        [_, _, ..] => panic!("Expected exactly 0 or 1 argument"),
        _ => "tenebrous.sqlite",
    };

    println!("Using database: {}", db_path);

    crate::migrator::migrate(db_path).await
}
