use barrel::backend::Sqlite;
use barrel::{types, Migration};

pub fn migration() -> String {
    let mut m = Migration::new();
    println!("Applying migration: {}", file!());

    m.create_table("characters", move |t| {
        let db_enum = r#"CHECK(data_type IN ('chronicles_of_darkness', 'changeling'))"#;
        t.add_column("id", types::primary());
        t.add_column("user_id", types::integer());
        t.add_column("viewable", types::boolean());
        t.add_column("character_name", types::text());
        t.add_column("data_type", types::custom(db_enum));
        t.add_column("data_version", types::integer());
        t.add_column("data", types::custom("BLOB"));
    });

    m.make::<Sqlite>()
}
